﻿input:focus,
select:focus,
textarea:focus,
html body button:focus,
html body button,
[contenteditable="true"]:focus {
    outline: none;
}

html body {
    font-family: 'Source Sans Pro', sans-serif;
    background: #4cc1f7;
    background: -moz-radial-gradient(center, ellipse cover, #4cc1f7 0%, #43a6f2 50%, #1090f2 100%);
    background: -webkit-radial-gradient(center, ellipse cover, #4cc1f7 0%,#43a6f2 50%,#1090f2 100%);
    background: radial-gradient(ellipse at center, #4cc1f7 0%,#43a6f2 50%,#1090f2 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#4cc1f7', endColorstr='#1090f2',GradientType=1 );
}

input:-webkit-autofill {
    -webkit-box-shadow: 0 0 0px 1000px white inset;
}

.login {
    display: table;
    width: 100%;
}

.login-table {
    display: table-cell;
    vertical-align: middle;
    width: 100%;
    height: 100vh;
}

.login-box {
    width: 388px;
    margin: auto;
    position: relative;
    top: -30px;
    border-radius: 8px;
    position: relative;
    padding: 20px;
    padding-top: 10px;
}

.login-box header {
    text-align: center;
    margin-bottom: 0px;
}

.login-box > div {
}

.login-box header img {
    width: 100px;
    margin-bottom: 7px;
}

.login-box-input > div {
    display: inline-block;
}

.login-box-input {
    margin-bottom: 14px;
    padding: 2px 8px;
    border-radius: 20px;
    background: #f4f6f7;
    background: white;
    border: 1px solid white;
    box-shadow: 0px 0px 14px rgba(131, 135, 146, 0.1);
}

.login-box-input > div:nth-child(1) {
    width: 25px;
    text-align: center;
    background: transparent;
}

.login-box-input > div:nth-child(2) {
    width: 300px;
    background: transparent;
}

.login-box-input img {
    width: 17px;
    vertical-align: middle;
    position: relative;
    top: -1px;
}

.login-box-input input, .login-box-input select {
    background: none;
    width: 100%;
    border: none;
    padding: 8px 5px;
    background: transparent;
    color: var(--dark-text);
    font-size: 10.4pt;
    vertical-align: middle;
    border-radius: 20px;
}

.login-box .login-button {
    color: white;
    width: 100%;
    border-radius: 30px;
    padding: 10px;
    font-weight: 600;
    text-transform: uppercase;
    font-size: 10.4pt;
    background: #269bdc;
    text-align: center;
    cursor: pointer;
    box-shadow: 0px 0px 14px rgba(131, 135, 146, 0.1);
    border:none;
}

.login-box .login-button:hover {
    background: #1596dd;
}

#buttonLoading, #saButtonLoading {
    width: 25px;
    margin-top: -5px;
    margin-bottom: -5px;
}

.login-box-error {
    padding: 11px 15px;
    margin-top: 13px;
    background: #d95656;
    color: white;
    border-radius: 3px;
    box-shadow: 0px 0px 20px rgba(0,0,0,0.05);
    font-size: 9.6pt;
}

/*-----------------------MICROSOFT--------------------*/
#microsoftLogIn {
    color: white;
    text-decoration: none;
}

#microsoftLogIn:hover {
    text-decoration: none;
}

.microsoft-login-button {
    font-weight: 600;
    font-size: 10.4pt;
    text-align: center;
    padding: 10px;
    margin-top: 12px;
    background: rgba(255,255,255,0.05);
    border-radius: 20px;
    box-shadow: 0px 0px 20px rgba(0,0,0,0.05);
}

.microsoft-login-button:hover {
    background: rgba(255,255,255,.12);
}

.microsoft-entra-button {
    font-weight: 600;
    font-size: 10.4pt;
    text-align: center;
    padding: 10px;
    margin-top: 12px;
    background: #269bdc;
    border-radius: 20px;
    box-shadow: 0px 0px 20px rgba(0,0,0,0.05);
    color:white;
}

.microsoft-entra-button:hover {
    background: #1596dd;
    text-decoration:none;
    color:white;
}

.microsoft-entra-button img{
    width:21px;
}

/*--------------------------OTP-----------------------*/
#sendAgain {
    margin-top: 10px;
}

html body .login-box .login-button-light {
    background: #0e70bb;
}

.login-box-info {
    padding: 11px 15px;
    margin-top: 13px;
    background: #1090f2;
    color: white;
    border-radius: 3px;
    box-shadow: 0px 0px 20px rgba(0,0,0,0.05);
    font-size: 9.6pt;
}
